import AnimInAndOut from "./AnimInAndOut";
import Main from "./Main";

const { ccclass, property } = cc._decorator;

@ccclass
export default class PanelSuccess extends cc.Component {

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start() {

    }

    onClickLottery() {
        let mainComp = cc.Canvas.instance.node.getComponent(Main)
        mainComp.changeLotteryPanel()

        let comp = this.getComponent(AnimInAndOut)
        comp.animateAndDestroy();
    }

    // update (dt) {}
}
